Bug 1379575 - Struggeling with Lockdown issues on an iPhone 4
Summary: Struggeling with Lockdown issues on an iPhone 4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libimobiledevice
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-27 07:35 UTC by Ali Akcaagac
Modified: 2016-12-20 06:22 UTC (History)
2 users (show)

Fixed In Version: libimobiledevice-1.2.0-8.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 06:22:29 UTC
Type: Bug


Attachments (Terms of Use)
usbmuxd.log (470.37 KB, text/plain)
2016-09-27 07:35 UTC, Ali Akcaagac
no flags Details

Description Ali Akcaagac 2016-09-27 07:35:03 UTC
Created attachment 1205076 [details]
usbmuxd.log

Description of problem:

Yesterday I was struggeling with Lockdown issues while trying to connect an iPhone 4 (7.1.2 Pangu JB) with Fedora 24.

This is also the 2nd time, where I tried to connect this iPhone to Fedora 24. So basicly all my previous experiences are based with Fedora 20.

Usually when I connect the iPhone 4, I will be getting a "Dialog" on the iPhone 4 Screen asking me whether I want to trust the connection or not. I usually agree and trust the connection and go on with Thunar (XFCE FM) to browse the iPhone.

Yesterday otoh, the Dialog came up everytime. No matter how often I selected to accept trusting the machine, the Dialog disappeared and re-appeared again a few moments later.

idevicepair list

only gave my the iPhone hash back for some moments (the time between accepting the dialog and re-appearing of the dialog). After that, the hash disappears as if the iPhone was not really connected.

I even did the following steps:

idevicepair validate
idevicepair pair

To re-pair the iPhone with Fedora 24.

Later on I discovered, that I was getting lockdown issues with an error message of -18 (could be -19) all the time. Something that never happened before.

/var/lib/lockdown

only had one file inside called "SystemConfiguration.plist". The hash plist file was missing. No matter how often I re-connected it, it only did, what it did before. Dialog, Accept, re-appearing of the Dialog.

Later on I went to the imobiledevice website and downloaded the GIT version of libimobiledevice and compiled it. I was speculating on the recent lockdown issues fixes provided by saurik.

... and they fixed the issue ...

The lockdown issues are all gone, even the hash plist file re-appeared in

/var/lib/lockdown

[long hash number].plist





Version-Release number of selected component (if applicable):

Fedora 24 with recent updates (dnf testing enabled). So also recent kernel appear.

The iPhone received a few updates within cydia and saurik repo as well.

Maybe: Just my guess, the updates that shown up in Cydia (Saurik repo: some substrate and other lower level stuff) might have caused the issue. Maybe Kernel changes on Fedora 24 side...

Please find attached the "grep"'ed log files of usbmuxd. The last 2 entries of usbmuxd worked with libimobiledevice GIT (1.2.1) and the locdown fixes that got committed to it.

Comment 1 Fedora Update System 2016-12-02 17:46:10 UTC
libimobiledevice-1.2.0-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e9b731e067

Comment 2 Fedora Update System 2016-12-03 05:43:44 UTC
libimobiledevice-1.2.0-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e9b731e067

Comment 3 Fedora Update System 2016-12-20 06:22:29 UTC
libimobiledevice-1.2.0-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.